RunningJob (gCube Social Networking Library 1.16.1-SNAPSHOT API)
Date: 2019-09-24

org.gcube.portal.databook.shared

## Class RunningJob

- java.lang.Object
- - org.gcube.portal.databook.shared.RunningJob

- All Implemented Interfaces:
    Serializable

      public class RunningJob
      extends Object
      implements Serializable

  The RunningJob class.
  Author:
    Massimiliano Assante, ISTI-CNR (massimiliano.assante@isti.cnr.it), Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunningJob()`
    `RunningJob(String jobId, String jobName, JobStatusType status, String message, String serviceName)` Buind a RunningJob object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJobId()`
    `String` | `getJobName()`
    `String` | `getMessage()`
    `String` | `getServiceName()`
    `JobStatusType` | `getStatus()`
    `void` | `setJobId(String jobId)`
    `void` | `setJobName(String jobName)`
    `void` | `setMessage(String message)`
    `void` | `setServiceName(String serviceName)`
    `void` | `setStatus(JobStatusType status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RunningJob

          public RunningJob()

    - #### RunningJob

          public RunningJob(String jobId,
                            String jobName,
                            JobStatusType status,
                            String message,
                            String serviceName)

      Buind a RunningJob object.
      Parameters:
        `jobId` -
        `jobName` -
        `status` -
        `message` -
        `serviceName` -

  - ### Method Detail

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage(String message)

    - #### getJobId

          public String getJobId()

    - #### setJobId

          public void setJobId(String jobId)

    - #### getJobName

          public String getJobName()

    - #### setJobName

          public void setJobName(String jobName)

    - #### getStatus

          public JobStatusType getStatus()

    - #### setStatus

          public void setStatus(JobStatusType status)

    - #### getServiceName

          public String getServiceName()

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All Rights Reserved.